import '../models/models.dart';
import '../services/repo_service.dart';
import 'package:flutter/material.dart';

class DescuentoViewModel extends ChangeNotifier {
  List<Descuento> descuentos = [];
  final RepoService repoService = RepoService<Descuento>();

  Future<void> cargarDescuentos() async {
    descuentos = await repoService.obtenerTodosDescuentos();
    notifyListeners();
  }

  Future<void> guardarDescuento(Descuento descuento) async {
    await repoService.guardarDescuento(descuento);
    await cargarDescuentos();
  }

  Future<void> eliminarDescuento(int id) async {
    await repoService.eliminarDescuento(id);
    await cargarDescuentos();
  }
}
